org.apache.torque.generator.configuration

## Class UnitDescriptor

- java.lang.Object
- - org.apache.torque.generator.configuration.UnitDescriptor

-     public class UnitDescriptor
      extends Object

  Contains all necessary information about a generation unit.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UnitDescriptor.Packaging` Possible packaging forms of a unit of generation.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnitDescriptor(UnitDescriptor.Packaging packaging, ProjectPaths projectPaths, TorqueGeneratorPaths configurationPaths)` Constructor without inheritance, override options, overrideSourceFileset, loglevel and addDebuggingInfoToOutput.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassLoader` | `getClassLoader()` Returns the class loader to use by the generator when accessing the templates or classes defined within the templates.
    `TorqueGeneratorPaths` | `getConfigurationPaths()` Returns the paths in the configuration of this generation unit.
    `String` | `getDefaultOutputEncoding()` Returns the output encoding if no specific encoding has been set in the output.
    `UnitDescriptor` | `getInheritsFrom()` Returns the descriptor of the generation unit from which this generation unit inherits, or null if this generation unit does not inherit from another generation unit.
    `Loglevel` | `getLoglevel()` Returns the log level overriding the loglevel defined in the configuration unit.
    `OptionsConfiguration` | `getOverrideOptions()` Returns the configuration of the overriding options, if any.
    `SourceProvider` | `getOverrideSourceProvider()` Returns the source provider overriding the source defined in the control file, or null if the control file definition is not overridden.
    `UnitDescriptor.Packaging` | `getPackaging()` Returns the packaging of the unit of generation.
    `ProjectPaths` | `getProjectPaths()` Returns the paths which the Torque generator must know about the surrounding project.
    `boolean` | `isAddDebuggingInfoToOutput()` Returns whether debugging info should be added to the output.
    `boolean` | `isRunOnlyOnSourceChange()` Returns true if only the sources should be processed which have changed since last generation.
    `void` | `setAddDebuggingInfoToOutput(boolean addDebuggingInfoToOutput)` Sets whether debugging info should be added to the output.
    `void` | `setClassLoader(ClassLoader classLoader)` Sets the class loader to use by the generator when accessing the templates or classes defined within the templates.
    `void` | `setDefaultOutputEncoding(String defaultOutputEncoding)` Sets the output encoding which is used if no specific encoding has been set in the output.
    `void` | `setInheritsFrom(UnitDescriptor inheritsFrom)` Sets the descriptor of the generation unit from which this generation unit inherits.
    `void` | `setLoglevel(Loglevel loglevel)` Sets the log level overriding the loglevel defined in the configuration unit.
    `void` | `setOverrideOptions(OptionsConfiguration overrideOptions)` Sets the configuration of the overriding options, if any.
    `void` | `setOverrideSourceProvider(SourceProvider overrideSourceProvider)` Sets the source provider overriding the source defined in the control file.
    `void` | `setRunOnlyOnSourceChange(boolean runOnlyOnSourceChange)` Sets whether only the sources should be processed which have changed since last generation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnitDescriptor

          public UnitDescriptor(UnitDescriptor.Packaging packaging,
                                ProjectPaths projectPaths,
                                TorqueGeneratorPaths configurationPaths)

      Constructor without inheritance, override options, overrideSourceFileset, loglevel and addDebuggingInfoToOutput.
      Parameters:
        `packaging` - The packaging of the generation unit, not null.
        `projectPaths` - The paths the Torque generator must know about the surrounding project, not null.
        `configurationPaths` - The paths within the configuration of the configuration unit, not null.

  - ### Method Detail

    - #### getPackaging

          public UnitDescriptor.Packaging getPackaging()

      Returns the packaging of the unit of generation.
      Returns:
        the packaging of the unit of generation, not null.

    - #### getProjectPaths

          public ProjectPaths getProjectPaths()

      Returns the paths which the Torque generator must know about the surrounding project.
      Returns:
        the paths of the surrounding project, not null.

    - #### getConfigurationPaths

          public TorqueGeneratorPaths getConfigurationPaths()

      Returns the paths in the configuration of this generation unit.
      Returns:
        the paths in the configuration of this generation unit, not null.

    - #### getInheritsFrom

          public UnitDescriptor getInheritsFrom()

      Returns the descriptor of the generation unit from which this generation unit inherits, or null if this generation unit does not inherit from another generation unit.
      Returns:
        the parents unit descriptor, or null if no parent exists.

    - #### setInheritsFrom

          public void setInheritsFrom(UnitDescriptor inheritsFrom)

      Sets the descriptor of the generation unit from which this generation unit inherits.
      Parameters:
        `inheritsFrom` - the parents unit descriptor, or null if no parent exists.

    - #### getOverrideSourceProvider

          public SourceProvider getOverrideSourceProvider()

      Returns the source provider overriding the source defined in the control file, or null if the control file definition is not overridden.
      Returns:
        the overriding source provider, or null.

    - #### setOverrideSourceProvider

          public void setOverrideSourceProvider(SourceProvider overrideSourceProvider)

      Sets the source provider overriding the source defined in the control file.
      Parameters:
        `overrideSourceProvider` - the overriding source provider, or null if the control file definition is not overridden.

    - #### getOverrideOptions

          public OptionsConfiguration getOverrideOptions()

      Returns the configuration of the overriding options, if any.
      Returns:
        the configuration of the overriding options, or null.

    - #### setOverrideOptions

          public void setOverrideOptions(OptionsConfiguration overrideOptions)

      Sets the configuration of the overriding options, if any.
      Parameters:
        `overrideOptions` - the configuration of the overriding options, or null.

    - #### getLoglevel

          public Loglevel getLoglevel()

      Returns the log level overriding the loglevel defined in the configuration unit.
      Returns:
        the log level, or null.

    - #### setLoglevel

          public void setLoglevel(Loglevel loglevel)

      Sets the log level overriding the loglevel defined in the configuration unit.
      Parameters:
        `loglevel` - the log level, or null.

    - #### isAddDebuggingInfoToOutput

          public boolean isAddDebuggingInfoToOutput()

      Returns whether debugging info should be added to the output.
      Returns:
        true if debugging info should be added to the output, false if not.

    - #### setAddDebuggingInfoToOutput

          public void setAddDebuggingInfoToOutput(boolean addDebuggingInfoToOutput)

      Sets whether debugging info should be added to the output.
      Parameters:
        `addDebuggingInfoToOutput` - true if debugging info should be added to the output, false if not.

    - #### getDefaultOutputEncoding

          public String getDefaultOutputEncoding()

      Returns the output encoding if no specific encoding has been set in the output.
      Returns:
        the default output encoding, null for the default platform encoding.

    - #### setDefaultOutputEncoding

          public void setDefaultOutputEncoding(String defaultOutputEncoding)

      Sets the output encoding which is used if no specific encoding has been set in the output.
      Parameters:
        `defaultOutputEncoding` - the default output encoding, null for the default platform encoding.

    - #### getClassLoader

          public ClassLoader getClassLoader()

      Returns the class loader to use by the generator when accessing the templates or classes defined within the templates.
      Returns:
        the class loader for the templates, or null if the standard class loader of the torque generator classes is used.

    - #### setClassLoader

          public void setClassLoader(ClassLoader classLoader)

      Sets the class loader to use by the generator when accessing the templates or classes defined within the templates.
      Parameters:
        `classLoader` - the class loader for the templates, or null if the standard class loader of the torque generator classes should be used.

    - #### isRunOnlyOnSourceChange

          public boolean isRunOnlyOnSourceChange()

      Returns true if only the sources should be processed which have changed since last generation.
      Returns:
        false if the controller should be run irrespective of changes in the source files, true if the controller should be run for source files which have changed during last generation.

    - #### setRunOnlyOnSourceChange

          public void setRunOnlyOnSourceChange(boolean runOnlyOnSourceChange)

      Sets whether only the sources should be processed which have changed since last generation.
      Parameters:
        `runOnlyOnSourceChange` - false if the controller should be run irrespective of changes in the source files, true if the controller should be run for source files which have changed during last generation.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.